###################################################
### chunk number 1: setup
###################################################
#line 14 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
require("party")
options(useFancyQuotes = FALSE)


###################################################
### chunk number 2: 
###################################################
#line 224 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
library("party")


###################################################
### chunk number 3: 
###################################################
#line 230 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
data("BostonHousing", package = "mlbench")


###################################################
### chunk number 4: 
###################################################
#line 245 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
BostonHousing$lstat <- log(BostonHousing$lstat)
BostonHousing$rm <- BostonHousing$rm^2


###################################################
### chunk number 5: 
###################################################
#line 262 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
BostonHousing$chas <- factor(BostonHousing$chas, levels = 0:1, labels = c("no", "yes"))
BostonHousing$rad <- factor(BostonHousing$rad, ordered = TRUE)


###################################################
### chunk number 6: 
###################################################
#line 275 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
ctrl <- mob_control(alpha = 0.05, bonferroni = TRUE, minsplit = 40,
  objfun = deviance, verbose = TRUE)


###################################################
### chunk number 7: 
###################################################
#line 290 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
fmBH <- mob(medv ~ lstat + rm | zn + indus + chas + nox + age + dis + rad + tax + crim + b + ptratio,
  data = BostonHousing, control = ctrl, model = linearModel)


###################################################
### chunk number 8: 
###################################################
#line 301 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
fmBH


###################################################
### chunk number 9:  eval=FALSE
###################################################
## #line 308 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
## plot(fmBH)


###################################################
### chunk number 10: BostonHousing-plot
###################################################
#line 319 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
plot(fmBH)


###################################################
### chunk number 11: 
###################################################
#line 342 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
coef(fmBH)


###################################################
### chunk number 12: 
###################################################
#line 349 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
summary(fmBH, node = 7)


###################################################
### chunk number 13: 
###################################################
#line 357 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
sctest(fmBH, node = 7)


###################################################
### chunk number 14: 
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
mean(residuals(fmBH)^2)
logLik(fmBH)
AIC(fmBH)


###################################################
### chunk number 15: 
###################################################
#line 370 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
nt <- NROW(coef(fmBH))
nk <- NCOL(coef(fmBH))


###################################################
### chunk number 16: 
###################################################
#line 388 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
data("PimaIndiansDiabetes2", package = "mlbench")
PimaIndiansDiabetes <- na.omit(PimaIndiansDiabetes2[,-c(4, 5)])


###################################################
### chunk number 17: 
###################################################
#line 410 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
fmPID <- mob(diabetes ~ glucose | pregnant + pressure + mass + pedigree + age,
  data = PimaIndiansDiabetes, model = glinearModel, family = binomial())


###################################################
### chunk number 18:  eval=FALSE
###################################################
## #line 417 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
## plot(fmPID)


###################################################
### chunk number 19: PimaIndiansDiabetes-plot
###################################################
#line 424 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
plot(fmPID)


###################################################
### chunk number 20: 
###################################################
#line 452 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
coef(fmPID)
exp(coef(fmPID)[,2])


###################################################
### chunk number 21: 
###################################################
#line 457 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/MOB.Rnw"
risk <- round(100 * (exp(coef(fmPID)[,2])-1), digits = 1)


