###################################################
### chunk number 1: setup
###################################################
#line 117 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
options(width = 70, SweaveHooks = list(leftpar = 
    function() par(mai = par("mai") * c(1, 1.1, 1, 1))))
require("party")
require("coin")
set.seed(290875)


###################################################
### chunk number 2: party-data
###################################################
#line 194 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ls <- data.frame(y = gl(3, 50, labels = c("A", "B", "C")), x1 = rnorm(150) + rep(c(1, 0, 0), c(50, 50,
50)), x2 = runif(150))


###################################################
### chunk number 3: party-formula
###################################################
#line 234 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
library("party")
ctree(y ~ x1 + x2, data = ls)


###################################################
### chunk number 4: party-xtrafo
###################################################
#line 280 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree(y ~ x1 + x2, data = ls, xtrafo = function(data) trafo(data,
numeric_trafo = rank))


###################################################
### chunk number 5: party-Bonf
###################################################
#line 399 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree_control(testtype = "Bonferroni")


###################################################
### chunk number 6: party-MC
###################################################
#line 403 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree_control(testtype = "MonteCarlo")           


###################################################
### chunk number 7: party-ss
###################################################
#line 445 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree_control(savesplitstats = TRUE)


###################################################
### chunk number 8: party-minsplit
###################################################
#line 457 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree_control(minsplit = 20)


###################################################
### chunk number 9: party-maxsurr
###################################################
#line 475 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ctree_control(maxsurrogate = 3)


###################################################
### chunk number 10: party-fitted
###################################################
#line 482 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ct <- ctree(y ~ x1 + x2, data = ls)


###################################################
### chunk number 11: party-print
###################################################
#line 486 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
ct


###################################################
### chunk number 12: party-plot
###################################################
#line 493 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(ct)


###################################################
### chunk number 13: party-nodes
###################################################
#line 502 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
nodes(ct, 1)


###################################################
### chunk number 14: party-nodelist
###################################################
#line 506 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
names(nodes(ct, 1)[[1]])


###################################################
### chunk number 15: party-Predict
###################################################
#line 512 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
Predict(ct, newdata = ls)


###################################################
### chunk number 16: party-treeresponse
###################################################
#line 517 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
treeresponse(ct, newdata = ls[c(1, 51, 101),])


###################################################
### chunk number 17: party-where
###################################################
#line 523 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
where(ct, newdata = ls[c(1,51,101),])


###################################################
### chunk number 18: treepipit-ctree
###################################################
#line 673 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
data("treepipit", package = "coin")
tptree <- ctree(counts ~ ., data = treepipit)


###################################################
### chunk number 19: treepipit-plot
###################################################
#line 680 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(tptree, terminal_panel = node_hist(tptree, breaks = 0:6-0.5, ymax = 65, 
horizontal = FALSE, freq = TRUE))


###################################################
### chunk number 20: treepipit-x
###################################################
#line 688 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
x <- tptree@tree


###################################################
### chunk number 21: glaucoma-ctree
###################################################
#line 712 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
data("GlaucomaM", package = "ipred")
gtree <- ctree(Class ~ ., data = GlaucomaM)


###################################################
### chunk number 22: glaucoma-x
###################################################
#line 717 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
x <- gtree@tree


###################################################
### chunk number 23: glaucoma-plot
###################################################
#line 746 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(gtree)


###################################################
### chunk number 24: glaucoma-plot-inner
###################################################
#line 755 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(gtree, inner_panel = node_barplot, 
     edge_panel = function(...) invisible(), tnex = 1)


###################################################
### chunk number 25: glaucoma-plot2 eval=FALSE
###################################################
## #line 767 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
## plot(gtree)


###################################################
### chunk number 26: glaucoma-plot-inner eval=FALSE
###################################################
## #line 777 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
## plot(gtree, inner_panel = node_barplot, 
##      edge_panel = function(...) invisible(), tnex = 1)


###################################################
### chunk number 27: glaucoma-split-plot
###################################################
#line 795 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
cex <- 1.6
inner <- nodes(gtree, c(1, 2, 5))
layout(matrix(1:length(inner), ncol = length(inner)))
out <- sapply(inner, function(i) {
    splitstat <- i$psplit$splitstatistic
    x <- GlaucomaM[[i$psplit$variableName]][splitstat > 0]
    plot(x, splitstat[splitstat > 0], main = paste("Node", i$nodeID),
         xlab = i$psplit$variableName, ylab = "Statistic", ylim = c(0, 10),
         cex.axis = cex, cex.lab = cex, cex.main = cex)
    abline(v = i$psplit$splitpoint, lty = 3)
})


###################################################
### chunk number 28: glaucoma-prediction
###################################################
#line 819 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
table(Predict(gtree), GlaucomaM$Class)


###################################################
### chunk number 29: glaucoma-classprob
###################################################
#line 829 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
prob <- sapply(treeresponse(gtree), function(x) x[1]) +
               runif(nrow(GlaucomaM), min = -0.01, max = 0.01)
splitvar <- nodes(gtree, 1)[[1]]$psplit$variableName
plot(GlaucomaM[[splitvar]], prob, 
     pch = as.numeric(GlaucomaM$Class), ylab = "Conditional Class Prob.",
     xlab = splitvar)
abline(v = nodes(gtree, 1)[[1]]$psplit$splitpoint, lty = 2)
legend(0.15, 0.7, pch = 1:2, legend = levels(GlaucomaM$Class), bty = "n")


###################################################
### chunk number 30: GBSGS-ctree
###################################################
#line 847 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
data("GBSG2", package = "ipred")  
stree <- ctree(Surv(time, cens) ~ ., data = GBSG2)


###################################################
### chunk number 31: GBSG2-plot
###################################################
#line 855 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(stree)


###################################################
### chunk number 32: GBSG2-KM
###################################################
#line 887 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
treeresponse(stree, newdata = GBSG2[1:2,])


###################################################
### chunk number 33: mammo-ctree
###################################################
#line 893 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
mtree <- ctree(ME ~ ., data = mammoexp)


###################################################
### chunk number 34: mammo-plot
###################################################
#line 899 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
plot(mtree)


###################################################
### chunk number 35: spider-ctree eval=FALSE
###################################################
## #line 949 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
## data("spider", package = "mvpart")   
## sptree <- ctree(arct.lute + pard.lugu + zora.spin + pard.nigr + pard.pull +
##            aulo.albi + troc.terr + alop.cune + pard.mont + alop.acce + 
##            alop.fabr + arct.peri ~ herbs+reft+moss+sand+twigs+water, 
##            controls = ctree_control(teststat = "max", testtype = "MonteCarlo", nresample = 9999, 
##            minsplit = 5, mincriterion = 0.9), data = spider)
## sptree@tree$criterion
## 
## library("coin")
## data("spider", package = "mvpart")
## it <- independence_test(arct.lute + pard.lugu + zora.spin + pard.nigr + pard.pull +
##                        aulo.albi + troc.terr + alop.cune + pard.mont + alop.acce +   
##                        alop.fabr + arct.peri ~ herbs+reft+moss+sand+twigs+water, 
##                        data = spider, distribution = approximate(B = 19999))
## statistic(it, "standardized")
## pvalue(it)


###################################################
### chunk number 36: spider-plot eval=FALSE
###################################################
## #line 970 "d:/Rcompile/CRANpkg/local/2.12/party/inst/doc/party.Rnw"
## plot(sptree, terminal_panel = node_terminal)


